import { untrack, splitProps, createSignal, onMount, createEffect } from "solid-js";
import { Calendar } from "@fullcalendar/core";
function template(html, isImportNode, isSVG, isMathML) {
  let node;
  const create = () => {
    const t = isMathML ? document.createElementNS("http://www.w3.org/1998/Math/MathML", "template") : document.createElement("template");
    t.innerHTML = html;
    return isSVG ? t.content.firstChild.firstChild : isMathML ? t.firstChild : t.content.firstChild;
  };
  const fn = isImportNode ? () => untrack(() => document.importNode(node || (node = create()), true)) : () => (node || (node = create())).cloneNode(true);
  fn.cloneNode = fn;
  return fn;
}
function use(fn, element, arg) {
  return untrack(() => fn(element, arg));
}
var _tmpl$ = /* @__PURE__ */ template(`<div><div>`);
const SolidCalendar = (props) => {
  const [ref, slitedProps] = splitProps(props, ["ref"]);
  let divCalendar;
  const [calendar, setCalendar] = createSignal();
  onMount(() => {
    var _a;
    const calendar2 = new Calendar(divCalendar, {
      ...slitedProps
    });
    calendar2.render();
    if (typeof ref.ref === "function") {
      (_a = ref == null ? void 0 : ref.ref) == null ? void 0 : _a.call(ref, calendar2);
    }
    setCalendar(calendar2);
  });
  createEffect(() => {
    const newCalendar = calendar();
    if (newCalendar) {
      newCalendar.resetOptions({
        ...props
      });
    }
  });
  return (() => {
    var _el$ = _tmpl$(), _el$2 = _el$.firstChild;
    var _ref$ = divCalendar;
    typeof _ref$ === "function" ? use(_ref$, _el$2) : divCalendar = _el$2;
    return _el$;
  })();
};
export {
  SolidCalendar as Calendar,
  SolidCalendar as default
};
